
SELECT		Sales.SOPNUMBE AS OrderNumber,
			MIN(Sales.DOCDATE) AS OrderDate,
			MIN(RTRIM(Sales.CUSTNMBR)) AS CustomerNumber,
			MIN(RTRIM(ISNULL(RM00101.CUSTNAME, Sales.CUSTNAME))) AS CustomerName,
			SUM(Sales.XTNDPRCE) AS TotalPrice,
			MIN(Source) AS Source
FROM		(
				SELECT	SOP10100.SOPNUMBE,
						SOP10100.DOCDATE,
						SOP10100.CUSTNMBR,
						SOP10100.CUSTNAME,
						SOP10200.ITEMNMBR,
						SOP10200.XTNDPRCE,
						'W' AS Source
				FROM	SOP10100
				JOIN	SOP10200
					ON	SOP10200.SOPNUMBE = SOP10100.SOPNUMBE
					AND	SOP10200.SOPTYPE = SOP10100.SOPTYPE
				WHERE	(SOP10100.SOPTYPE = 2)
					AND	(SOP10100.VOIDSTTS = 0)
					AND	(SOP10100.DOCDATE BETWEEN '1/1/2023' AND '1/1/2025')

				UNION ALL

				SELECT	SOP30200.SOPNUMBE,
						SOP30200.DOCDATE,
						SOP30200.CUSTNMBR,
						SOP30200.CUSTNAME,
						SOP30300.ITEMNMBR,
						SOP30300.XTNDPRCE,
						'H'
				FROM	SOP30200
				JOIN	SOP30300
					ON	SOP30300.SOPNUMBE = SOP30200.SOPNUMBE
					AND	SOP30300.SOPTYPE = SOP30200.SOPTYPE
				WHERE	(SOP30200.SOPTYPE = 2)
					AND	(SOP30200.VOIDSTTS = 0)
					AND	(SOP30200.DOCDATE BETWEEN '1/1/2023' AND '1/1/2025')
			) Sales
JOIN		IV00101
	ON		IV00101.ITEMNMBR = Sales.ITEMNMBR
LEFT JOIN	RM00101
	ON		RM00101.CUSTNMBR = Sales.CUSTNMBR
WHERE		IV00101.ITEMTYPE <> 4
GROUP BY	Sales.SOPNUMBE
HAVING		SUM(Sales.XTNDPRCE) > 1000
